Subject: Re: Patch (apply) vs. Pull

From: Martin Langhoff <[email-masked]>
Date: Thu, 23 Jun 2005 20:47:03 +1200

On 6/23/05, Linus Torvalds <[email-masked]> wrote:
> I've been doing unified diffs for a _loong_ time, and I edit patches in my
> sleep. The rules for line numbers etc are really quite simple, and yes, I
> do edit patches before I apply them.

We often do unified diff editing when dealing with merge conflicts. It
isn't too hard once you've got the hang of it, usually the hard thing
is resolving the conflict in the first place.

Emacs has a diff editing mode that is really good:
http://wiki.gnuarch.org/Process_20_2a_2erej_20files

cheers,

martin